
CoCoALib - Design #1378

Create two separate radical fns (for 0-dim ideals)

20 Dec 2019 17:10 - John Abbott

Status: New Start date: 20 Dec 2019

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Improving Estimated time: 0.00 hour

Target version: CoCoALib-1.0 Spent time: 0.25 hour

Description

Proposal: create two functions for computing radicals

radical  which also tries hard to compute a GB for the result

RadicalWithoutGB which tries to be quick, but may produce a result without GB

The argument goes: if someone computes the radical then they likely want to use it for further computation, so it will be helpful to

have the GB.

If someone just needs any set of gens of the radical then they can use the potentially faster fn RadicalWithoutGB.

What should the user interface be like?

two fns with separate but similar names?  (what names?)

one fn with an optional arg saying to compute faster (and possibly produce no GB)

Related issues:

Related to CoCoALib - Slug #1375: Radical 0-dim: varied timings Closed 09 Dec 2019

Related to CoCoALib - Feature #1417: RadicalZeroDim with extra parameter for ... In Progress 14 Feb 2020

Related to CoCoALib - Feature #1780: radical for ideals in SparsePolyRing:  c... Closed 06 Feb 2024

History

#1 - 20 Dec 2019 17:10 - John Abbott

- Related to Slug #1375: Radical 0-dim: varied timings added

#2 - 09 Jan 2020 11:32 - John Abbott

- Related to Support #1387: John's visit Feb 2020 added

#3 - 13 Jan 2020 16:44 - Anna Maria Bigatti

- Target version changed from CoCoALib-0.99700 to CoCoALib-0.99800

#4 - 14 Feb 2020 10:56 - John Abbott

- Related to deleted (Support #1387: John's visit Feb 2020)

#5 - 14 Feb 2020 16:06 - Anna Maria Bigatti

- Related to Feature #1417: RadicalZeroDim with extra parameter for GBasis timeout added

#6 - 03 Nov 2021 16:54 - John Abbott

- Target version changed from CoCoALib-0.99800 to CoCoALib-0.99850

#7 - 03 Jul 2023 17:49 - John Abbott

- Target version changed from CoCoALib-0.99850 to CoCoALib-1.0

After discussing, we have decided to postpone this until a real use-case comes up.

Postponing indefinitely.

29 Apr 2024 1/2



#8 - 22 Mar 2024 09:13 - John Abbott

- Related to Feature #1780: radical for ideals in SparsePolyRing:  code in C++  added
